summaryrefslogtreecommitdiffstats
path: root/system/B-em
diff options
context:
space:
mode:
author Antonio Leal2023-06-17 03:00:16 +0200
committer Willy Sudiarto Raharjo2023-06-17 03:00:16 +0200
commitf34ae74e2bfb755329a3a4d2f65108c2c87cc5b2 (patch)
treec23dbb7d52324c867e9783bba1f5071a0908fee4 /system/B-em
parent35f1032654c95d9af038501a9c665b5caacd3c1a (diff)
downloadslackbuilds-f34ae74e2bfb755329a3a4d2f65108c2c87cc5b2.tar.gz
system/B-em: Added (BBC Microcomputer Emulator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/B-em')
-rw-r--r--system/B-em/B-em.SlackBuild109
-rw-r--r--system/B-em/B-em.desktop9
-rw-r--r--system/B-em/B-em.info10
-rw-r--r--system/B-em/README11
-rw-r--r--system/B-em/doinst.sh13
-rw-r--r--system/B-em/slack-desc19
6 files changed, 171 insertions, 0 deletions
diff --git a/system/B-em/B-em.SlackBuild b/system/B-em/B-em.SlackBuild
new file mode 100644
index 0000000000..dc6adf093e
--- /dev/null
+++ b/system/B-em/B-em.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/bash
+
+# Slackware build script for B-em
+
+# Copyright 2023 Antonio Leal, Porto Salvo, Oeiras, Portugal
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=B-em
+SRCNAM=b-em
+VERSION=${VERSION:-a55f951}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+COMMIT=${COMMIT:-a55f951169947fcd6e1dd67bbcb36f1c601e816f}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvfz $CWD/$SRCNAM-$COMMIT.tar.gz
+mv $SRCNAM-$COMMIT $PRGNAM-$VERSION
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+./autogen.sh
+./configure --prefix=/usr
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+mkdir -p $PKG/usr/share/pixmaps
+cp icon/b-em.png $PKG/usr/share/pixmaps
+mkdir -p $PKG/usr/share/applications
+cp $CWD/B-em.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mv $PKG/usr/share/doc/b-em/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/B-em/B-em.desktop b/system/B-em/B-em.desktop
new file mode 100644
index 0000000000..4c82f207f5
--- /dev/null
+++ b/system/B-em/B-em.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=B-em
+Comment=BBC Microcomputer Emulator
+Exec=b-em
+Icon=/usr/share/pixmaps/b-em.png
+Terminal=false
+Type=Application
+Categories=System;Emulator;
+
diff --git a/system/B-em/B-em.info b/system/B-em/B-em.info
new file mode 100644
index 0000000000..9b50959973
--- /dev/null
+++ b/system/B-em/B-em.info
@@ -0,0 +1,10 @@
+PRGNAM="B-em"
+VERSION="a55f951"
+HOMEPAGE="https://github.com/stardot/b-em"
+DOWNLOAD="https://github.com/stardot/b-em/archive/a55f951169947fcd6e1dd67bbcb36f1c601e816f/b-em-a55f951169947fcd6e1dd67bbcb36f1c601e816f.tar.gz"
+MD5SUM="d324d9522b508da857d56f597a5285b3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="allegro"
+MAINTAINER="Antonio Leal"
+EMAIL="antonioleal@yahoo.com"
diff --git a/system/B-em/README b/system/B-em/README
new file mode 100644
index 0000000000..63b975b789
--- /dev/null
+++ b/system/B-em/README
@@ -0,0 +1,11 @@
+B-em BBC Microcomputer emulator
+
+B-em is an emulator for various models of BBC Microcomputer as
+made by Acorn Computers in the 1980s along with a selection of
+2nd processors.
+
+B-em is licensed under the GPL, see COPYING for more details.
+
+The original site being at http://b-em.bbcmicro.com this
+package contains all the enhancements made since version 2.2
+as available at https://github.com/stardot/b-em
diff --git a/system/B-em/doinst.sh b/system/B-em/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/system/B-em/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/system/B-em/slack-desc b/system/B-em/slack-desc
new file mode 100644
index 0000000000..1db2863009
--- /dev/null
+++ b/system/B-em/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+B-em: B-em (BBC Microcomputer Emulator)
+B-em:
+B-em: B-em is an emulator for various models of BBC Microcomputer as
+B-em: made by Acorn Computers in the 1980s along with a selection of
+B-em: 2nd processors.
+B-em:
+B-em: B-em is licensed under the GPL, see COPYING for more details.
+B-em:
+B-em:
+B-em:
+B-em: